Runtime

## org.eclipse.gmf.runtime.diagram.core.services
Class DiagramEventBrokerService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.diagram.core.services.DiagramEventBrokerService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, DiagramEventBrokerProvider

    public class DiagramEventBrokerService

extends Service
implements DiagramEventBrokerProvider

A service for manipulating Diagram Event broker creations

Nested Class Summary
`protected static class` `DiagramEventBrokerService.ProviderDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Constructor Summary
`DiagramEventBrokerService()`

Method Summary
`DiagramEventBroker` `createDiagramEventBroker(TransactionalEditingDomain editingDomain)` Creates a `DiagramEventBroker` instance and associate it with the passed `TransactionalEditingDomain`
`protected java.util.Map` `createPriorityCache()` Creates a map for caching service providers keyed by the values returned in `Service.getCachingKey(IOperation)`.
`protected java.lang.Object` `getCachingKey(IOperation operation)` Gets the key used to cache service providers that provide for `operation` in the map created by `Service.createPriorityCache()`.
`static DiagramEventBrokerService` `getInstance()` Retrieves the singleton instance of the diagram Event Broker Factory service
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement _element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, execute, executeUnique, getAllProviders, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### DiagramEventBrokerService

    public DiagramEventBrokerService()

Method Detail

### getInstance

    public static DiagramEventBrokerService getInstance()

  Retrieves the singleton instance of the diagram Event Broker Factory service

  Returns:
    The diagram Event Broker Factory service singleton.

### createDiagramEventBroker

    public final DiagramEventBroker createDiagramEventBroker(TransactionalEditingDomain editingDomain)

  Description copied from interface: `DiagramEventBrokerProvider`
  Creates a `DiagramEventBroker` instance and associate it with the passed `TransactionalEditingDomain`

  Specified by:
    `createDiagramEventBroker` in interface `DiagramEventBrokerProvider`
  Parameters:
    `editingDomain` - the editing domain that will be associated with the diagram event broker
  Returns:
    a new diagram event broker instance

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement _element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `_element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.
  See Also:
    `Service.newProviderDescriptor(org.eclipse.core.runtime.IConfigurationElement)`

### createPriorityCache

    protected java.util.Map createPriorityCache()

  Description copied from class: `Service`
  Creates a map for caching service providers keyed by the values returned in `Service.getCachingKey(IOperation)`.

  Overrides:
    `createPriorityCache` in class `Service`
  Returns:
    the new map
  See Also:
    `Service.createPriorityCache()`

### getCachingKey

    protected java.lang.Object getCachingKey(IOperation operation)

  Description copied from class: `Service`
  Gets the key used to cache service providers that provide for `operation` in the map created by `Service.createPriorityCache()`.

  Overrides:
    `getCachingKey` in class `Service`
  Parameters:
    `operation` - `IOperation` for which the key will be retrieved
  Returns:
    the key into the service providers cache
  See Also:
    `org.eclipse.gmf.runtime.common.core.service.Service#getCacheKey(org.eclipse.gmf.runtime.common.core.service.IOperation)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.